Skip to main content
PATCH
/
v1
/
{workspace}
/
ws_public_key
/
{public_key_id}
/
rotate
Rotate Workspace Public Key
curl -X PATCH "https://management-api.suprsend.com/v1/{workspace}/ws_public_key/{public_key_id}/rotate/" \
  --header 'Authorization: ServiceToken <SERVICE_TOKEN>'
{
  "id": "ws_pubk_exampleId01",
  "api_key": "SS.PUBK.zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz",
  "name": "web-app",
  "allowed_domains": null,
  "is_secure_mode_enabled": false,
  "is_deleted": false,
  "is_default": false,
  "created_at": "2026-04-21T13:08:29.144658Z",
  "created_by": {
    "name": "Example User",
    "email": "user@example.com"
  },
  "rotated_at": "2026-04-21T13:08:59.983999Z",
  "rotated_by": {
    "name": "System User",
    "email": "org_XXXXXXXXXXXXXXXXXXXXXX@systemuser.suprsend.com"
  },
  "updated_at": "2026-04-21T13:08:59.984183Z",
  "updated_by": {
    "name": "System User",
    "email": "org_XXXXXXXXXXXXXXXXXXXXXX@systemuser.suprsend.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

ServiceToken <token>
string
header
required

You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.

Path Parameters

workspace
string
required

Workspace slug (e.g. staging, production).

public_key_id
string
required

Public key identifier (e.g. ws_pubk_...).

Response

Public key rotation accepted.

Workspace public key used by client SDKs.

id
string
Example:

"ws_pubk_exampleId01"

api_key
string

Public key value exposed to clients.

Example:

"SS.PUBK.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

name
string
Example:

"web-app"

allowed_domains
string[] | null
is_secure_mode_enabled
boolean
is_deleted
boolean
is_default
boolean
created_at
string<date-time>
created_by
object

Identity that performed an action (created, updated, rolled, deleted, rotated).

rotated_at
string<date-time> | null
rotated_by
object

Identity that performed an action (created, updated, rolled, deleted, rotated).

updated_at
string<date-time>
updated_by
object

Identity that performed an action (created, updated, rolled, deleted, rotated).